***************************
POUs
***************************


.. plc:autofunctionblock:: FB_Module
	:members:

.. plc:autofunctionblock:: FB_PowerMeter

.. plc:autofunctionblock:: FB_Safety

.. plc:autofunctionblock:: FB_String
	:members:

.. plc:autofunctionblock:: FB_UMD705

.. plc:autofunctionblock:: FB_Unit
	:members:

.. plc:autoprogram:: MAIN

Sunspec
================================

.. plc:autofunctionblock:: FB_PowerSupplySunspec
	:members:

ST_SUNSPEC_CURRENT_VALUES
---------------------------------

.. plc:autostruct:: ST_SUNSPEC_CURRENT_VALUES

U_SUNSPEC_ERROR
---------------------------------

.. plc:autoenum:: U_SUNSPEC_ERROR

ModelData
---------------------------------

ST_SunspecInverterThreePhase
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

.. plc:autostruct:: ST_SunspecInverterThreePhase

ST_SunspecNameplateRatings
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

.. plc:autostruct:: ST_SunspecNameplateRatings

StatePattern
---------------------------------

StateEvents
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

.. plc:autofunctionblock:: I_SunspecStateEvents
	:members:

States
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

.. plc:autofunctionblock:: FB_SunspecErrorState
	:members:

.. plc:autofunctionblock:: FB_SunspecOffState
	:members:

